> ## Documentation Index
> Fetch the complete documentation index at: https://help.opus.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a Clip from a Collection

> You can add a clip to an existing collection by making a `POST` request to `https://api.opus.pro/api/collection-contents/delete-collection-contents`.



## OpenAPI

````yaml POST /api/collection-contents/delete-collection-contents
openapi: 3.0.0
info:
  title: Clip API
  description: Clip API documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.opus.pro
    description: OpusClip Open API Production Server
security: []
tags: []
paths:
  /api/collection-contents/delete-collection-contents:
    post:
      tags:
        - collection-content
        - enterprise
      operationId: CollectionContentController_deleteCollectionContents
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteCollectionContentCmd'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - properties:
                      data:
                        type: string
                        description: Show action execute status
                        nullable: false
                        example: success
      security:
        - bearer: []
components:
  schemas:
    DeleteCollectionContentCmd:
      type: object
      properties:
        q:
          type: string
          description: |-
            **Query type**
             `findByCollectionIdAndContentId` is the only valid value, means delete relation by collectionId + contentId
          enum:
            - findByCollectionIdAndContentId
        collectionId:
          type: string
          description: >-
            The collectionID of the collection that you want to remove the clip
            from.
          example: xmAwhhFi0IJt
        contentId:
          type: string
          description: >-
            The ID of the clip that you want to remove from the collection.
            FullClipId: {projectId}.{curationId}
          example: P0000000demo.CUexample2
      required:
        - q
        - collectionId
        - contentId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````